Subject: Re: bug#44644: /tmp/emacs0/ not cleaned up upon exit

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Sat, 28 Nov 2020 06:34:47 +0800

>>>>> "LI" == Lars Ingebrigtsen <[email-masked]> writes:
LI> Eli Zaretskii <[email-masked]> writes:

>> I actually don't share the feeling of an annoyance here: /tmp is
>> regularly cleaned up anyway, right?  But that's me.

LI> Only on reboot, and some people have machines running for months, so
LI> keeping /tmp clean-ish is something programs usually try to do.

Indeed. What if every program had the attitude "Gee, I don't know how to
deal with my garbage. Maybe I'll just leave it sitting here and the
Environmental Protection Bureau will do something with it."

Because 99% of programs are environmentally responsible, that why /tmp
is still usable!

Else it would quickly cause even your SSD to stop spinning.